Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 26 Nov 2014, 07:31
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Mini-3D-game sable
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Mon 08 May 2006, 13:30    Post_subject:  Mini-3D-game sable  



Very simple, far from being as realistic "violent" like Doom.

I compiled it to quickly test my Wizard for 3D-graficscards:
http://www.murga.org/~puppy/viewtopic.php?t=7775

Download (228 kb):
http://dotpups.de/dotpups/Games/sable.pup

Requires libSDL (438 kb):
http://dotpups.de/dotpups/Games/LibSDL1.2-forDoom.pup

More info about the game:
http://www.happypenguin.org/show?Sable
http://www.stanford.edu/~mcmartin/sable/

Mark
Back to top
View user's profile Send_private_message Visit_website 
PeterSieg

Joined: 04 May 2005
Posts: 361
Location: Germany, 37603

PostPosted: Wed 10 May 2006, 14:47    Post_subject: Missing libGL.so.1  

Missing the libGL.so.1 library. Testing under puppy2a 7/05..

Is also not under dotpups.de - libraries..
The 3d-wizard says.. ACTIVE so does NOT offer to download these...

PS

_________________
Have fun Smile
Back to top
View user's profile Send_private_message Visit_website 
PeterSieg

Joined: 04 May 2005
Posts: 361
Location: Germany, 37603

PostPosted: Wed 10 May 2006, 15:30    Post_subject: Found OpenGL.pup...  

Hi Mark. looked through your 3d-wizard scripts and located the opengl.pup
download location Smile

Now no more missing libs.. but SDL_PANIC not GLX visual ..?

Anyway, lbreakout2 + duke nukem are working fine. Smile

Thanks, Peter

_________________
Have fun Smile
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 10 May 2006, 15:39    Post_subject:  

when you install
http://dotpups.de/dotpups/XServer/DRI/OpenGL.pup
manually, be shure to delete first all /usr/lib/libGL* -files.
Then install the Dotpup.
Some older games install their own, unaccellerated libGL, so new games does not find the ones in /usr/X11R6/lib.

It might also be important to uninstall all older SDL-packages, and then use the mentioned one.
Older packages have just some SDL-files, the libSDL-for Doom has all needed for modern games.

LBreakout and Duke 3D don't use glx (OpenGL-Hardware-accelleration), so they will run even with old libGL.so.

Mark
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 10 May 2006, 19:51    Post_subject:  

I just found out, that sable will only run with a colordepth of 24 bit of X.org.
With 16bit, I also get the error:
SDL_PANIC not GLX visual
Mark
Back to top
View user's profile Send_private_message Visit_website 
PeterSieg

Joined: 04 May 2005
Posts: 361
Location: Germany, 37603

PostPosted: Thu 11 May 2006, 02:10    Post_subject: will try that..  

Hi Mark, currently I have 16bit.. will switch to 24bit and try again..
I am testing on a webgine 1GHz Notebook with SIS630 graphics..
Puppy2 works great on this one (sound+X11+lan+usb+dvd=ok).

Peter

_________________
Have fun Smile
Back to top
View user's profile Send_private_message Visit_website 
lostdog

Joined: 05 Oct 2005
Posts: 103

PostPosted: Sat 27 May 2006, 18:57    Post_subject:  

I tried Sable, but it didn't work. Checked the dependancies and I am missing LibGLU.so.1. Looked in the repositories and couldn't find it.

Where else can I look?

Using MU's 3d wizard, one of the older ones works with my ATI 3D Rage Pro.

_________________
The truth is out there.
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Sat 27 May 2006, 19:30    Post_subject:  

Solution 1:
look, if there is as /usr/X11R6/lib/libGLU.so.

If yes, run this command:

cd /usr/X11R6/lib
ln -s libGLU.so libGLU.so.1

-----------
Solution 2:
The new versions of the wizard install OpenGL for the free DRI-drivers.
You also can install it manually:
http://dotpups.de/dotpups/XServer/DRI/OpenGL.pup
http://dotpups.de/dotpups/XServer/DRI/OpenGL-B.pup

Try both, the only difference is LibGL.so, in Puppy1 with a Ati Radeon7000 just the B-version works.
These Dotpups include LibGLU.so and a symlink libGLU.so.1.
If you install them manually, be shure to delete any libGL* -files in /usr/lib first (the wizard does that automatically).


Mark
Back to top
View user's profile Send_private_message Visit_website 
lostdog

Joined: 05 Oct 2005
Posts: 103

PostPosted: Mon 29 May 2006, 13:46    Post_subject:  

Thanks MU. Of course I was looking for a file hidden inside an installer. Small wonder I couldn't find it.

I got sable to work, but it is too slow and not playable.
Got pinball to play with the same results.

I can't use the new version of the 3D wizard, it gives me a red dialog box that says "ATI not supported". I got 3D to work using one of the older versions.

_________________
The truth is out there.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0560s ][ Queries: 12 (0.0055s) ][ GZIP on ]